
Figure - Bug #117968
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【IOVDEV-28248】【AF】【EVT3】【Monkey】【稳定性测试】【VC1】【副屏
】/vendor/bin/hw/android.hardware.audio.service Tombstone
2023-05-16 19:55 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-16

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ��03.02.0078.C101

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试手顺】

副屏执行monkey稳定性测试

【预期结果】

无黑卡死等严重问题发生，无Crash、ANR、Tombstone内存泄露等

【实际结果】

/vendor/bin/hw/android.hardware.audio.service Tombstone

History

#1 - 2023-05-16 19:58 - 物联网测试组_CDTS  唐霞 

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117968

#2 - 2023-05-17 11:05 - CD FW 曹覃刚

- Category set to AUDIO-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

/vendor/bin/hw/android.hardware.audio.service Tombstone

audio相关，请先帮助解析，谢谢

#3 - 2023-05-17 22:40 - CD MM陈海波

此问题导致的原因和https://share.thundersoft.com/redmine/issues/117970是一致的.

都是由于堵塞导致: 
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117968
https://share.thundersoft.com/redmine/issues/117970��һ�µ�


------

pid: 16287, tid: 16287, name: audio.service  >>> /vendor/bin/hw/android.hardware.audio.service <<<

uid: 1041

signal 35 (<debuggerd signal>), code -1 (SI_QUEUE from pid 16288, uid 1041), fault addr --------

audio.service 由于没有实现守护线程监控机制, 所以只会报出'SI_QUEUE'错误, 不会报出下边的信息: 

   Abort message: 'TimeCheck timeout for IAudioFlinger command 38'

但他们都是在这样的流程下被堵塞了.

App

  ↓

audioserver(audioflinger) //报tombstone.

  ↓

audio.service  //超时报tombstone

  ↓

驱动  //这儿堵塞

基于这样的情况, 建议将此票duplicate处理.

多谢!

#4 - 2023-05-18 00:08 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_TEST 王成

#5 - 2023-05-24 20:22 - CDTS-TEST 周婷

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE

#6 - 2023-06-02 17:08 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#7 - 2023-06-02 17:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tombstone_01 125 KB 2023-05-16 物联网测试组_CDTS  唐霞 
